/**
 * 报销和费用申请审核
 * 
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司 
 * @license   http://www.u-bo.com/license/ 
 * 
 * @author Strief http://blog.u-bo.com
 * @since 0.1
 */
jQuery(function($) {

	$(document).on('focus', 'textarea', function() {
		$('.redstar').remove();
	});

	/**
	 * 若审批状态为否决，则必须填写否决理由
	 */
	$('#main-form').submit(function() {
		$('.redstar').remove();
		if ($("input[name='verify_status']").val() == disable && $('textarea').val() == '') {
			$('textarea').after("<span class='redstar' style='font-size:10px;'>否决的审批，必须填写否决理由</span>");
			return false;
		} else {
			return true;
		}
	});
});